## libgcrypt20 1.9.4

=== debian/changelog ===
libgcrypt20 (1.9.4-3ubuntu3.1) jammy; urgency=medium

  * sha3: fix sha3 output for inputs > 4 GiB LP: #2044852
    - d/p/0007-keccak-Use-size_t-to-avoid-integer-overflow.patch

 -- Tobias Heider <tobias.heider@canonical.com>  Mon, 27 Nov 2023 22:12:24 +0100

libgcrypt20 (1.9.4-3ubuntu3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:12:17 +0100

libgcrypt20 (1.9.4-3ubuntu2) jammy; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS on armhf.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 01 Nov 2021 16:25:14 +0000

libgcrypt20 (1.9.4-3ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Drop CVE and CET patches, applied in Debian or upstreamed.
  * Cherry-pick one more patch from master to correctly enable assembly
    CET.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 01 Nov 2021 14:26:05 +0000

libgcrypt20 (1.9.4-3) unstable; urgency=medium

  * Fix libgcrypt-config wrapper to use 'command -v' instead of 'which'.
    (Thanks, Emmanuel Bouthenot)
    Closes: #993244

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Sep 2021 13:43:26 +0200

libgcrypt20 (1.9.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Sep 2021 07:29:03 +0200

libgcrypt20 (1.9.4-1) experimental; urgency=medium

  * New upstream release. (Also includes fix for Elgamal encryption for
    other implementations. CVE-2021-33560)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Aug 2021 19:17:04 +0200

libgcrypt20 (1.9.3-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 21 Apr 2021 18:22:56 +0200

libgcrypt20 (1.9.2-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 Feb 2021 18:00:38 +0100

libgcrypt20 (1.9.2~beta16-1) experimental; urgency=low

  * Simplify ./configure for Windows build, do not disable optimization and
    assembly, set timestamp=$(SOURCE_DATE_EPOCH) instead of disabling the
    timestamp.
  * New upstream release.
    + Drop 30_Revert-Define-HW-feature-flags-per-architecture.patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Feb 2021 08:08:19 +0100

libgcrypt20 (1.9.1-1) experimental; urgency=low

  * Add Bug-Database and Bug-Submit to upstream/metadata.
  * New upstream version.
    + Fixes heap buffer overflow introduced in 1.9.0.
      https://dev.gnupg.org/T5275. CVE-2021-3345 Closes: #981336
  * 30_Revert-Define-HW-feature-flags-per-architecture.patch Fix w* build
    error.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Jan 2021 13:51:54 +0100

libgcrypt20 (1.9.0-1) experimental; urgency=low

  * New upstream version.
   + Drop 13_lessdeps_libgcrypt-pkgconfig.diff
   + Update 25_norevisionfromgit.diff.
   + List new symbols, bump all version requirements in libgcrypt20.symbols.
     (New args for gcry_control, new algorithms.)
   + Update copyright file.
   + Update algorithm list in package descriptions.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Jan 2021 08:39:32 +0100

libgcrypt20 (1.8.7-5ubuntu2) impish; urgency=medium

  * SECURITY UPDATE: lack of exponent blinding in ElGamal encryption
    - debian/patches/CVE-2021-33560.patch: harden ElGamal by introducing
      exponent blinding too in cipher/elgamal.c.
    - CVE-2021-33560
  * SECURITY UPDATE: incorrect support of smaller K
    - debian/patches/CVE-2021-40528.patch: fix ElGamal encryption for other
      implementations in cipher/elgamal.c.
    - CVE-2021-40528

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Sep 2021 07:36:50 -0400

libgcrypt20 (1.8.7-5ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
    - Enable CET.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 10 May 2021 17:13:14 +0200

libgcrypt20 (1.8.7-2ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:38 +0100

libgcrypt20 (1.8.7-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
    - Enable CET.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Nov 2020 10:20:19 +0100

libgcrypt20 (1.8.5-5ubuntu2) groovy; urgency=medium

  * Enable CET.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Jun 2020 14:12:25 +0100

libgcrypt20 (1.8.5-5ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Feb 2020 12:38:22 -0800

libgcrypt20 (1.8.5-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Dropped changes, included in Debian:
    - Build-depend on texlive-plain-generic instead of obsolete texlive-
      generic-recommended.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 14:25:34 -0700

libgcrypt20 (1.8.4-5ubuntu2) eoan; urgency=medium

  * Build-depend on texlive-plain-generic instead of obsolete texlive-
    generic-recommended.


