## libgcrypt20 1.9.4-3ubuntu3+11.0trisquel0

=== debian/changelog ===
libgcrypt20 (1.9.4-3ubuntu3+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 05 Nov 2022 15:48:05 +0000
