=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: libgcrypt20
 Section: libs
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
- Simon Josefsson <simon@josefsson.org>
-Build-Depends: debhelper-compat (= 13), libgpg-error-dev (>= 1.25)
+ Simon Josefsson <simon@josefsson.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libgpg-error-dev,
 Build-Depends-Indep:
  libgpg-error-mingw-w64-dev,
  mingw-w64,
- texinfo (>= 4.6-0),
+ texinfo,
+ texlive-latex-base,
  texlive-plain-generic,
- texlive-latex-base
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/gnutls-team/libgcrypt.git -b branch1.6
 Vcs-Browser: https://salsa.debian.org/gnutls-team/libgcrypt/tree/branch1.6
@@ -24,10 +25,18 @@
 Package: libgcrypt20-doc
 Section: doc
 Architecture: all
-Suggests: libgcrypt20-dev
-Conflicts: libgcrypt-doc, libgcrypt11-doc, libgcrypt7-doc
-Replaces: libgcrypt-doc, libgcrypt11-doc, libgcrypt7-doc
-Depends: ${misc:Depends}
+Suggests:
+ libgcrypt20-dev,
+Conflicts:
+ libgcrypt-doc,
+ libgcrypt11-doc,
+ libgcrypt7-doc,
+Replaces:
+ libgcrypt-doc,
+ libgcrypt11-doc,
+ libgcrypt7-doc,
+Depends:
+ ${misc:Depends},
 Multi-Arch: foreign
 Description: LGPL Crypto library - documentation
  libgcrypt contains cryptographic functions.  Many important free
@@ -45,14 +54,17 @@
 Package: libgcrypt20-dev
 Section: libdevel
 Architecture: any
-Conflicts: libgcrypt-dev
-Provides: libgcrypt-dev
+Conflicts:
+ libgcrypt-dev,
+Provides:
+ libgcrypt-dev,
 Depends:
  libc6-dev | libc-dev,
  libgcrypt20 (= ${binary:Version}),
  libgpg-error-dev,
- ${misc:Depends}
-Suggests: libgcrypt20-doc
+ ${misc:Depends},
+Suggests:
+ libgcrypt20-doc,
 Description: LGPL Crypto library - development files
  libgcrypt contains cryptographic functions.  Many important free
  ciphers, hash algorithms and public key signing algorithms have been
@@ -68,9 +80,13 @@
 
 Package: libgcrypt20
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: rng-tools
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ rng-tools,
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: same
 Description: LGPL Crypto library - runtime library
  libgcrypt contains cryptographic functions.  Many important free
@@ -87,7 +103,9 @@
 Section: debian-installer
 Package-Type: udeb
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: LGPL Crypto library - runtime library
  libgcrypt contains cryptographic functions.  Many important free
  ciphers, hash algorithms and public key signing algorithms have been
@@ -102,8 +120,12 @@
 Package: libgcrypt-mingw-w64-dev
 Section: libdevel
 Architecture: all
-Depends: libgpg-error-mingw-w64-dev, ${misc:Depends}, ${shlibs:Depends}
-Suggests: wine
+Depends:
+ libgpg-error-mingw-w64-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ wine,
 Multi-Arch: foreign
 Description: LGPL Crypto library - Windows development
  libgcrypt contains cryptographic functions.  Many important free
