=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
+# DEB_HOST_MULTIARCH is set by dpkg-buildpackage but not mandated by policy,
+# provide fallback.
+ifeq ($(origin DEB_HOST_MULTIARCH), undefined)
+	export DEB_HOST_MULTIARCH = \
+		$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+endif
 
 include /usr/share/dpkg/pkg-info.mk
 
@@ -50,6 +56,11 @@
 	done
 	find debian/tmp -name libgcrypt.la -type f -delete
 
+override_dh_auto_install-arch:
+	dh_auto_install --arch --verbose --builddirectory=build
+	install -m755 debian/clean-up-unmanaged-libraries \
+		debian/libgcrypt20/usr/share/libgcrypt20/
+
 override_dh_installinfo:
 	dh_installinfo
 	if test -e debian/libgcrypt20-doc ; then \
