## libgcrypt20 1.10.2

=== debian/changelog ===
libgcrypt20 (1.10.2-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/disable_fips_enabled_read.patch
      Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode.
      libgcrypt is not a FIPS certified library.
    - d/p/12_lessdeps_libgcrypt-config.diff: refresh patch offsets

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 10 Jul 2023 15:41:13 +0200

libgcrypt20 (1.10.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Jun 2023 11:21:04 +0200

libgcrypt20 (1.10.2-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Support the noudeb build profile. Closes: #1024943

  [ Andreas Metzler ]
  * New upstream release.
    + Drop superfluous patches.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Apr 2023 13:38:50 +0200

libgcrypt20 (1.10.1-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2003529). Remaining changes:
    - d/p/disable_fips_enabled_read.patch
      Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode.
      libgcrypt is not a FIPS certified library.

 -- Adrien Nader <adrien.nader@canonical.com>  Thu, 26 Jan 2023 12:11:54 +0100

libgcrypt20 (1.10.1-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. (LP: #1974277) Remaining changes:
    - d/p/disable_fips_enabled_read.patch
      Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode.
      libgcrypt is not a FIPS certified library.
  * Removed d/p/0001-Always-include-config.h-in-cipher-assembly-codes.patch
    since it's already included in the new version.
  * Removed d/p/0001-poly1305-fix-building-with-arm-linux-gnueabihf-gcc-1.patch
    since it's already included in the new version.
  * Refreshed d/p/12_lessdeps_libgcrypt-config.diff
    and d/p/disable_fips_enabled_read.patch due to offsets.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 06 May 2022 10:24:05 +0200
