## libgcrypt20 1.10.3

=== debian/changelog ===
libgcrypt20 (1.10.3-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:03:56 +0200

libgcrypt20 (1.10.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 Dec 2023 11:47:14 +0100

libgcrypt20 (1.10.3-1) experimental; urgency=medium

  * New upstream release.
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Nov 2023 14:29:24 +0100

libgcrypt20 (1.10.2-3) unstable; urgency=medium

  [ Simon Josefsson ]
  * Update Homepage: URL.

  [ Andreas Metzler ]
  * Drop --insert-timestamp linker option on mingw*, binutils 2.41 should use
    SOURCE_DATE_EPOCH automatically and the Debian package has dropped the
    patch to add the --insert-timestamp option. Closes: #1052219

 -- Andreas Metzler <ametzler@debian.org>  Tue, 19 Sep 2023 13:48:32 +0200
