=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Vcs-Git: https://salsa.debian.org/gnutls-team/libgcrypt.git -b branch1.6
 Vcs-Browser: https://salsa.debian.org/gnutls-team/libgcrypt/tree/branch1.6
 Rules-Requires-Root: no
-Homepage: https://directory.fsf.org/project/libgcrypt/
+Homepage: https://gnupg.org/software/libgcrypt/
 
 Package: libgcrypt20-doc
 Section: doc
