## libgcrypt20 1.10.3-2build1trisquel0

=== debian/changelog ===
libgcrypt20 (1.10.3-2build1trisquel0) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 11 Sep 2024 18:28:06 +0000
