## libgcrypt20 1.11.0

=== debian/changelog ===
libgcrypt20 (1.11.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 09 Jul 2024 16:29:33 +0200

libgcrypt20 (1.11.0-1) experimental; urgency=low

  * New upstream version.
    + Drop 30_add_missing_files_from_master.diff.
    + Update libgcrypt20.symbols to refer to release instead of beta version.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 21 Jun 2024 18:08:24 +0200

libgcrypt20 (1.11.0~beta450-1) experimental; urgency=low

  * New upstream snapshot.
    + Drop 30_m4-Include-_AM_PATH_GPGRT_CONFIG-definition.patch.
    + Update symbol file. Add new functions. Bump version requirement
      on all symbols. (Many algorithms, enums extended, etc.)
    + 30_add_missing_files_from_master.diff: Add some files missing in tarball
      from upstream GIT master.
    + Update debian/copyright.
    + Version libgpg-error-dev build-dependency.
    + Drop debian/libgcrypt-config.1, libgcrypt-config is not shipped anymore.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 May 2024 11:36:53 +0200

libgcrypt20 (1.10.3-3) unstable; urgency=medium

  * 30_m4-Include-_AM_PATH_GPGRT_CONFIG-definition.patch from upstream GIT
    master: Update libgcrypt.m4 to let AM_PATH_LIBGCRYPT continue to work
    without preceding AM_PATH_GPG_ERROR() when libgcrypt-config is removed.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 May 2024 18:11:46 +0200
