=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libgcrypt20
 Section: libs
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
@@ -10,9 +9,9 @@
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
  debhelper-compat (= 13),
- libgpg-error-dev,
+ libgpg-error-dev (>= 1.49),
 Build-Depends-Indep:
- libgpg-error-mingw-w64-dev,
+ libgpg-error-mingw-w64-dev (>= 1.49),
  mingw-w64,
  texinfo,
  texlive-latex-base,
