## libgcrypt20 1.11.0+git20250114

=== debian/changelog ===
libgcrypt20 (1.11.0+git20250114-1) experimental; urgency=medium

  * New upstream GIT snapshot from upstream LIBGCRYPT-1.11-BRANCH.
    + Drop superfluous patches.
    + Bump gcry_control() symbol dependency info.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Mar 2025 07:42:49 +0100

libgcrypt20 (1.11.0-7) unstable; urgency=medium

  [ Simon McVittie ]
  * Add an autopkgtest smoke-test for linking to libgcrypt.
    Superficial tests like this one are a surprisingly effective way to
    detect packaging regressions. Closes: #1088243

  [ Andreas Metzler ]
  * Sync with Ubuntu 1.11.0-6ubuntu1:
    Pull upstream patch to fix FTBFS on s390x during build-time tests:
    + lp2083245-disable-sha3-s390x-acceleration-for-cshake.patch
    (LP: #2083245)
  * Run wrap-and-sort -ast.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 24 Dec 2024 13:35:47 +0100

libgcrypt20 (1.11.0-6) unstable; urgency=medium

  * 30_mpi-ec-inline-reduce-register-pressure-on-32-bit-ARM.patchn from
    upstream GIT master: Fix FTBFS on arm with gcc-14. Closes: #1077326

 -- Andreas Metzler <ametzler@debian.org>  Wed, 07 Aug 2024 18:42:37 +0200

libgcrypt20 (1.11.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Jul 2024 13:05:45 +0200

libgcrypt20 (1.11.0-4) experimental; urgency=medium

  * Add missing Breaks/Replaces to libgcrypt-bin. Closes: #1076625

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Jul 2024 11:31:22 +0200

libgcrypt20 (1.11.0-3) experimental; urgency=medium

  * Point watchfile to releases instead of snapshots again.
  * Move helper binaries from -dev package to newly added libgcrypt-bin
    package, mark libgcrypt20-dev Multi-Arch: same. Closes: #714589

 -- Andreas Metzler <ametzler@debian.org>  Fri, 19 Jul 2024 13:49:18 +0200
