## libgcrypt20 1.11.1

=== debian/changelog ===
libgcrypt20 (1.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Update copyright info for new release.
  * 30_add_missing_file_from_GIT.diff: Add cipher/simd-common-riscv.h which
    was missing from the release tarball.
  * Update symbol file for release.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 May 2025 14:32:14 +0200
