## libgcrypt20 1.11.2

=== debian/changelog ===
libgcrypt20 (1.11.2-3) unstable; urgency=low

  * Update to head of LIBGCRYPT-1.11-BRANCH
    + 30_0001-Post-release-updates.patch
    + 30_0002-mpi-Fix-redefinition-of-types.patch
    + 30_0003-random-jent-Fix-for-jent_rng_is_initialized.patch
    + 30_0004-random-jent-Fix-build-with-address-sanitizer.patch
    + 30_0005-secmem-Handle-HAVE_BROKEN_MLOCK-for-the-case-with-AS.patch
    + 30_0006-cipher-aria-Fix-compiler-error-on-NetBSD.patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Nov 2025 13:46:54 +0100

libgcrypt20 (1.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 13:20:44 +0200

libgcrypt20 (1.11.2-1) experimental; urgency=medium

  * New upstream release.
    + Drop 30_add_missing_file_from_GIT.diff.
    + Fixes FTBFS with gcc-15 on ppc64el and probably (no porter machine)
      also on alpha. Closes: #1109071

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Aug 2025 10:47:38 +0200
