## libgcrypt20 1.12.0

=== debian/changelog ===
libgcrypt20 (1.12.0-2) experimental; urgency=medium

  * update to GIT HEAD.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 05 Feb 2026 18:14:30 +0100

libgcrypt20 (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Unfuzz patches, drop superfluous ones
  * Add new function gcry_kem_genkey() to symbol file.
  * Bump libgpg-error-(mingw-w64-)dev b-d.
  * Update copyright info.
  * Set all symbol reqs to 1.12.0, new PK algo ML-DSA added.
  * Update algorithm list in package description.
    (Source: https://www.gnupg.org/software/libgcrypt/index.html)
  * [lintian] drop Priority: optional from debian/control.
  * [lintian] drop redundant Rules-Requires-Root: no.
  * Bump Standards-Version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Jan 2026 12:55:34 +0100
