=== debian/control ===
Source: libgcrypt20
Section: libs
Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
 Eric Dorland <eric@debian.org>,
 James Westby <jw+debian@jameswestby.net>,
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 libgpg-error-dev (>= 1.56),
Build-Depends-Indep:
 libgpg-error-mingw-w64-dev (>= 1.56),
 mingw-w64,
 texinfo,
 texlive-latex-base,
 texlive-plain-generic,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/gnutls-team/libgcrypt.git -b branch1.6
Vcs-Browser: https://salsa.debian.org/gnutls-team/libgcrypt/tree/branch1.6
Homepage: https://gnupg.org/software/libgcrypt/

Package: libgcrypt20-doc
Section: doc
Architecture: all
Suggests:
 libgcrypt20-dev,
Conflicts:
 libgcrypt-doc,
 libgcrypt11-doc,
 libgcrypt7-doc,
Replaces:
 libgcrypt-doc,
 libgcrypt11-doc,
 libgcrypt7-doc,
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: LGPL Crypto library - documentation
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 AES, Arcfour, Blowfish, Camellia, CAST5, ChaCha20 DES, GOST28147,
 Salsa20, SEED, Serpent, Twofish, ECB, CFB, CBC, OFB, CTR, CCM, GCM, OCB,
 POLY1305, AESWRAP, MD2, MD4, MD5, GOST R 34.11, RIPE-MD160, SHA-1,
 SHA2-224, SHA2-256, SHA2-384, SHA2-512, SHA3-224, SHA3-256, SHA3-384,
 SHA3-512, SHAKE-128, SHAKE-256, TIGER-192, Whirlpool, HMAC, CMAC,
 GMAC-AES, GMAC-CAMELLIA, GMAC-TWOFISH, GMAC-SERPENT, GMAC-SEED,
 Poly1305, Poly1305-AES, Poly1305-CAMELLIA, Poly1305-TWOFISH,
 Poly1305-SERPENT, Poly1305-SEED, RSA, Elgamal, DSA, ECDSA, EdDSA, ECDH,
 ML-DSA, ML-KEM, SNTRUP761, Classic McEliece
 .
 This package contains developer documentation.

Package: libgcrypt20-dev
Section: libdevel
Architecture: any
Conflicts:
 libgcrypt-dev,
Provides:
 libgcrypt-dev,
Depends:
 libc6-dev | libc-dev,
 libgcrypt20 (= ${binary:Version}),
 libgpg-error-dev,
 ${misc:Depends},
Suggests:
 libgcrypt-bin,
 libgcrypt20-doc,
Multi-Arch: same
Description: LGPL Crypto library - development files
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 AES, Arcfour, Blowfish, Camellia, CAST5, ChaCha20 DES, GOST28147,
 Salsa20, SEED, Serpent, Twofish, ECB, CFB, CBC, OFB, CTR, CCM, GCM, OCB,
 POLY1305, AESWRAP, MD2, MD4, MD5, GOST R 34.11, RIPE-MD160, SHA-1,
 SHA2-224, SHA2-256, SHA2-384, SHA2-512, SHA3-224, SHA3-256, SHA3-384,
 SHA3-512, SHAKE-128, SHAKE-256, TIGER-192, Whirlpool, HMAC, CMAC,
 GMAC-AES, GMAC-CAMELLIA, GMAC-TWOFISH, GMAC-SERPENT, GMAC-SEED,
 Poly1305, Poly1305-AES, Poly1305-CAMELLIA, Poly1305-TWOFISH,
 Poly1305-SERPENT, Poly1305-SEED, RSA, Elgamal, DSA, ECDSA, EdDSA, ECDH,
 ML-DSA, ML-KEM, SNTRUP761, Classic McEliece
 .
 This package contains header files and libraries for static linking.

Package: libgcrypt20
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 rng-tools,
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: LGPL Crypto library - runtime library
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 AES, Arcfour, Blowfish, Camellia, CAST5, ChaCha20 DES, GOST28147,
 Salsa20, SEED, Serpent, Twofish, ECB, CFB, CBC, OFB, CTR, CCM, GCM, OCB,
 POLY1305, AESWRAP, MD2, MD4, MD5, GOST R 34.11, RIPE-MD160, SHA-1,
 SHA2-224, SHA2-256, SHA2-384, SHA2-512, SHA3-224, SHA3-256, SHA3-384,
 SHA3-512, SHAKE-128, SHAKE-256, TIGER-192, Whirlpool, HMAC, CMAC,
 GMAC-AES, GMAC-CAMELLIA, GMAC-TWOFISH, GMAC-SERPENT, GMAC-SEED,
 Poly1305, Poly1305-AES, Poly1305-CAMELLIA, Poly1305-TWOFISH,
 Poly1305-SERPENT, Poly1305-SEED, RSA, Elgamal, DSA, ECDSA, EdDSA, ECDH,
 ML-DSA, ML-KEM, SNTRUP761, Classic McEliece

Package: libgcrypt20-udeb
Section: debian-installer
Package-Type: udeb
Build-Profiles: <!noudeb>
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: LGPL Crypto library - runtime library
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 AES, Arcfour, Blowfish, Camellia, CAST5, ChaCha20 DES, GOST28147,
 Salsa20, SEED, Serpent, Twofish, ECB, CFB, CBC, OFB, CTR, CCM, GCM, OCB,
 POLY1305, AESWRAP, MD2, MD4, MD5, GOST R 34.11, RIPE-MD160, SHA-1,
 SHA2-224, SHA2-256, SHA2-384, SHA2-512, SHA3-224, SHA3-256, SHA3-384,
 SHA3-512, SHAKE-128, SHAKE-256, TIGER-192, Whirlpool, HMAC, CMAC,
 GMAC-AES, GMAC-CAMELLIA, GMAC-TWOFISH, GMAC-SERPENT, GMAC-SEED,
 Poly1305, Poly1305-AES, Poly1305-CAMELLIA, Poly1305-TWOFISH,
 Poly1305-SERPENT, Poly1305-SEED, RSA, Elgamal, DSA, ECDSA, EdDSA, ECDH,
 ML-DSA, ML-KEM, SNTRUP761, Classic McEliece

Package: libgcrypt-mingw-w64-dev
Section: libdevel
Architecture: all
Depends:
 libgpg-error-mingw-w64-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 wine,
Multi-Arch: foreign
Description: LGPL Crypto library - Windows development
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 AES, Arcfour, Blowfish, Camellia, CAST5, ChaCha20 DES, GOST28147,
 Salsa20, SEED, Serpent, Twofish, ECB, CFB, CBC, OFB, CTR, CCM, GCM, OCB,
 POLY1305, AESWRAP, MD2, MD4, MD5, GOST R 34.11, RIPE-MD160, SHA-1,
 SHA2-224, SHA2-256, SHA2-384, SHA2-512, SHA3-224, SHA3-256, SHA3-384,
 SHA3-512, SHAKE-128, SHAKE-256, TIGER-192, Whirlpool, HMAC, CMAC,
 GMAC-AES, GMAC-CAMELLIA, GMAC-TWOFISH, GMAC-SERPENT, GMAC-SEED,
 Poly1305, Poly1305-AES, Poly1305-CAMELLIA, Poly1305-TWOFISH,
 Poly1305-SERPENT, Poly1305-SEED, RSA, Elgamal, DSA, ECDSA, EdDSA, ECDH,
 ML-DSA, ML-KEM, SNTRUP761, Classic McEliece
 .
 This is a Windows version of libgcrypt.  It's meant to be used when
 cross-building software that targets the Windows platform, e.g. the
 win32-loader component of Debian-Installer.

Package: libgcrypt-bin
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libgcrypt20-dev (<< 1.11.0-3),
Replaces:
 libgcrypt20-dev (<< 1.11.0-3),
Description: LGPL Crypto library - utility binaries
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 AES, Arcfour, Blowfish, Camellia, CAST5, ChaCha20 DES, GOST28147,
 Salsa20, SEED, Serpent, Twofish, ECB, CFB, CBC, OFB, CTR, CCM, GCM, OCB,
 POLY1305, AESWRAP, MD2, MD4, MD5, GOST R 34.11, RIPE-MD160, SHA-1,
 SHA2-224, SHA2-256, SHA2-384, SHA2-512, SHA3-224, SHA3-256, SHA3-384,
 SHA3-512, SHAKE-128, SHAKE-256, TIGER-192, Whirlpool, HMAC, CMAC,
 GMAC-AES, GMAC-CAMELLIA, GMAC-TWOFISH, GMAC-SERPENT, GMAC-SEED,
 Poly1305, Poly1305-AES, Poly1305-CAMELLIA, Poly1305-TWOFISH,
 Poly1305-SERPENT, Poly1305-SEED, RSA, Elgamal, DSA, ECDSA, EdDSA, ECDH,
 ML-DSA, ML-KEM, SNTRUP761, Classic McEliece
 .
 This package contains some utilities which are mainly useful when
 developing programs using libgcrypt.
