## libgcrypt20 1.12.1

=== debian/changelog ===
libgcrypt20 (1.12.1-1) experimental; urgency=medium

  * New upstream release.
    + Drop patches.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Feb 2026 11:40:56 +0100
